/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { TemplateUtils } from '../../../_helpers/template-utils';
import { FormTemplateBase } from '../base/form-template-base';
import * as i0 from "@angular/core";
export declare class DefaultFormComponent extends FormTemplateBase implements OnInit, OnDestroy {
    private angularPConnect;
    private templateUtils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    arChildren$: any[];
    divClass$: string;
    instructions: string;
    constructor(angularPConnect: AngularPConnectService, templateUtils: TemplateUtils);
    ngOnInit(): void;
    onStateChange(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DefaultFormComponent, "app-default-form", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
